Bug 1575136 - redhat-access-insights-puppet puppet module refers to obsolete package, which causes Puppet agent to report redhat-access-insights is installed on every run
Summary: redhat-access-insights-puppet puppet module refers to obsolete package, which...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Insights
Version: 6.3.1
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 20:43 UTC by Brian Smith
Modified: 2019-10-22 19:49 UTC (History)
6 users (show)

Fixed In Version: redhat-access-insights-puppet-1.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Brian Smith 2018-05-04 20:43:14 UTC
Description of problem:
redhat-access-insights-puppet puppet module refers to obsolete package, which causes Puppet agent to report redhat-access-insights is installed on every run.  
The puppet module is part of the redhat-access-insights-puppet RPM, and the module is /usr/share/puppet/modules/access_insights_client/manifests/init.pp 


Version-Release number of selected component (if applicable):
redhat-access-insights-puppet RPM, version 0.0.9.  


How reproducible:
Every time


Steps to Reproduce:
1. Configure Satellite to use the access_insights_client Puppet module
2. Run "puppet agent -t -v" on Satellite client

Actual results:
Every run of "puppet agent -t -v" on the Satellite client reports "Notice: /Stage[main]/Access_insights_client/Package[redhat-access-insights]/ensure: created"

Expected results:
Expected that Puppet only installs the redhat-access-insights package on the first Puppet agent run, and that on additional agent runs it does not report that the redhat-access-insights package is installed again.  


Additional info:
Root cause appears to be the puppet module is referring to the "redhat-access-insights" package, which has been obsoleted by the "insights-client" package.  Puppet is checking if the "redhat-access-insights" package is installed by running "rpm -q" on the package, which reports that it is not installed (since the package has been obsoleted by another package).   Puppet then attempts to install it with yum, and yum understands that "redhat-access-insights" was obsoleted by the "insights-client" package, which is indeed already installed, so no changes are made, however Puppet ends up reporting that the package was installed on every run.

The puppet module is part of the redhat-access-insights-puppet RPM, and the module is /usr/share/puppet/modules/access_insights_client/manifests/init.pp

Comment 5 Bryan Kearney 2018-11-26 19:32:18 UTC
Satellite 6.2 has reached maintenance support phase 2 [1]. This bug does not quality for inclusion in a 6.2.z release during this support phase. I am therefore closing this bug out.

[1] https://access.redhat.com/support/policy/updates/satellite

Comment 6 Brian Smith 2018-11-26 19:45:48 UTC
Bryan - re-opening this BZ as it was opened for Satellite 6.3.

Comment 9 Radovan Drazny 2019-08-30 10:48:16 UTC
Tested on Satellite 6.6 Snap 17 with the following components:
puppet-agent-5.5.12-1.el7sat.x86_64
insights-client-3.0.6-2.el7_6.noarch

After the initial puppet run, when the insights-client gets installed and configured, all subsequent puppet runs don't report any changes:

$ puppet agent -tv
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Retrieving locales
Info: Loading facts
Info: Caching catalog for satclient.example.com
Info: Applying configuration version '1567161716'
Notice: Applied catalog in 0.40 seconds
[root@satclient.example.com puppet]# echo $?
0

VERIFIED

Comment 10 Bryan Kearney 2019-10-22 19:49:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.